TFPROF(1)

NAME
tfprof - profile a Taskflow program

SYNOPSIS
tfprof [options]

DESCRIPTION
tfprof is a program that visualises and profiles programs compiled using Taskflow. The program should be compiled using cmake with the option -D TF_BUILD_PROFILER=ON, and then run with an environment variable specifying the profile data output file, for example under the build directory:

$ cmake ../ -D TF_BUILD_PROFILER=ON
$ make
$ TF_ENABLE_PROFILER=my_taskflow.tfp ./my_taskflow

The profiler is then run to visualise the output, for example

$ tfprof --input my_taskflow.tfp

and the results can be seen at http://localhost:8080/

OPTIONS

-h, --help
    Show summary of options.

-i, --input
    The profiling data file; this option is required.

-m, --mount
    The location of the static Taskflow profiler server files. In the Debian version of tfprof, this is optional; it defaults to /usr/share/taskflow.

-p, --port
    The port the server should listen on; this defaults to 8080.

SEE ALSO
The Taskflow system is documented fully in the documentation, available in the taskflow-doc package on Debian systems or online at https://taskflow.github.io/taskflow/index.html